#ifndef PROTOCOL_H
#define PROTOCOL_H

#include <QByteArray>
#include <QString>
#include "hidapi/hidapi.h"

class protocol
{
public:
    protocol(hid_device *handle);

private:
    hid_device *device;

public:
    void qSleep(int ms);
    QByteArray hid_read_(void);
    bool hid_write_(const QByteArray &data);
    void clear();
    QString getID(void);
    QString getOSSCAL(void);
    void calibrate(void);
    QByteArray read_chunk(int addr, int len);
    bool write_chunk(const QByteArray &data, int addr);

};

#endif // PROTOCOL_H
