/*
 * Name: HW.h
 * Project: PassKeychain
 * Author: Jiri Stepanovsky - http://jiristepanovsky.cz
 * Creation Date: 2014-11-22
 * Tabsize: 4
 * License: MIT License
 */


#ifndef HW_H
#define HW_H

#include "HW.h"

/* Initialize hardware */
unsigned char HWinit(void);

/* Poll everything, returns: 0-No event, 1~254-Number of clicks, 255-5 sec button press */
unsigned char HWpoll(void);

/* Reset I/O configuration */
void HWreset(void);

/* Set led state 0 (OFF) */
void led_off(void);
/* Set led state 1 (ON) */
void led_on(void);
/* Set led state 2 (BLINK) */
void led_timer(unsigned char time);
/* Set led state 3 (PWM)*/
void led_pwm(unsigned char pwm);
/* Set led state 4 (PWM-SHADING)*/
void led_shade(void);

#endif
