/*
 * Name: buffer.h
 * Project: PassKeychain
 * Author: Jiri Stepanovsky - http://jiristepanovsky.cz
 * Creation Date: 2014-11-28
 * Tabsize: 4
 * License: MIT License
 */

#ifndef BUFFER_H
#define BUFFER_H

#include <avr/io.h>
#include "buffer.h"

/* Size of buffers - between 2 and 255 */
#define	RX_SIZE	25 // 2 - 255
#define	TX_SIZE	25 // 2 - 255

/* Reset both buffers */
void bufferReset(void);

/* Access to Transmit buffer */
void bufferTXWrite(unsigned char data);
unsigned char bufferTXRead(void);
unsigned char bufferTXSize(void);
unsigned char bufferTXFree(void);

/* access to Receive buffer */
void bufferRXWrite(unsigned char data);
unsigned char bufferRXRead(void);
unsigned char bufferRXSize(void);
unsigned char bufferRXFree(void);

#endif
